.create-token-popup {
    position: relative;
    height: 100%;
    font-weight: 300;
    font-size: 20px;
    line-height: 24px;
    color: var(--pure-white);
}

.create-token-popup > button {
    position: absolute;
    bottom: 83px;
    right: 0;
}

.create-token-popup > p {
    height: 40px;
    display: grid;
    grid-template-columns: 138px 1fr;
    gap: 17px;
    align-items: center;
}

.create-token-popup > p > span {
    font-weight: 500;
    text-align: right;
}

.create-token-popup > label {
    display: grid;
    grid-template-columns: 138px 1fr;
}

.create-token-popup > .icon,
.create-token-popup > svg {
    position: absolute;
    top: 0;
    right: 0;
}

.create-token-popup > p > span.bk {
    word-break: break-all;
    max-width: 400px;
    text-align: left;
    font-weight: 300;
}

.create-wallet-popup {
    font-weight: 300;
    font-size: 20px;
    line-height: 150%;
    color: var(--pure-white);
    height: 100%;
    position: relative;
}

.create-wallet-popup-content {
    display: flex;
    justify-content: space-between;
}

.create-wallet-popup-content > p {
    max-width: 347px;
    display: flex;
    flex-direction: column;
    gap: 40px;
}

.create-wallet-popup-content > p > span {
    display: block;
}

.create-wallet-popup-content > .mnemonic {
    display: grid;
    grid-template-rows: repeat(6, 1fr);
    grid-template-columns: 1fr 1fr;
    grid-gap: 20px 140px;
    width: 50%;
    justify-items: start;
}

.create-wallet-popup-content > .mnemonic > * {
    grid-column: span 1;
}

.create-wallet-popup-content > .mnemonic > *:nth-child(1) {
    grid-row: 1 / span 1;
}

.create-wallet-popup-content > .mnemonic > *:nth-child(2) {
    grid-row: 2 / span 1;
}

.create-wallet-popup-content > .mnemonic > *:nth-child(3) {
    grid-row: 3 / span 1;
}

.create-wallet-popup-content > .mnemonic > *:nth-child(4) {
    grid-row: 4 / span 1;
}

.create-wallet-popup-content > .mnemonic > *:nth-child(5) {
    grid-row: 5 / span 1;
}

.create-wallet-popup-content > .mnemonic > *:nth-child(6) {
    grid-row: 6 / span 1;
}

.create-wallet-popup-content > .mnemonic > *:nth-child(n + 7) {
    grid-column: span 1;
    grid-row: auto;
}

.create-wallet-popup-content > .mnemonic > .mnemonic-item {
    height: 40px;
    display: flex;
    gap: 10px;
    align-items: center;
}

.create-wallet-popup-content > .mnemonic > .mnemonic-item > .label {
    font-weight: 500;
    font-size: 20px;
    line-height: 24px;
    text-align: right;
    color: var(--pure-white);
}

.create-wallet-popup-content > .mnemonic > .mnemonic-item > .mnemonic-key {
    font-weight: 300;
    font-size: 20px;
    line-height: 24px;
    color: var(--pure-white);
}

.create-wallet-popup-content > .mnemonic > button {
    position: absolute;
    right: 0;
    bottom: 0;
}

.encrypt-wallet-popup {
    font-weight: 300;
    font-size: 20px;
    line-height: 150%;
    color: var(--pure-white);
}

.encrypt-wallet-popup-content {
    display: flex;
    flex-direction: column;
    gap: 45px;
}

.encrypt-wallet-popup-content > p {
    max-width: 666px;
    display: flex;
    flex-direction: column;
    gap: 40px;
}

.encrypt-wallet-popup-content > form {
    margin-left: 25px;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    max-width: fit-content;
    gap: 17px;
    position: relative;
}

.encrypt-wallet-popup-content > form > button {
    position: absolute;
    left: calc(100% + 26px);
    top: calc(100% + 105px);
}

@media (max-width: 1400px) {
    .encrypt-wallet-popup-content {
        gap: 20px;
    }

    .encrypt-wallet-popup-content > p {
        max-width: 750px;
        gap: 10px;
    }

    .encrypt-wallet-popup-content > form > button {
        position: absolute;
        left: calc(100% - 103px);
        top: calc(100% + 100px);
    }
}

.alert-popup {
    font-weight: 300;
    font-size: 20px;
    line-height: 150%;
    color: var(--pure-white);
}

.alert-popup-content > button {
    position: absolute;
    bottom: 10%;
    right: 5%;
}

.enter-password-popup {
    position: relative;
    height: 100%;
}

.enter-password-popup > button {
    position: absolute;
    bottom: 15px;
    right: 10px;
}

.enter-password-popup-content {
    display: flex;
    flex-direction: column;
    gap: 55px;
    max-width: 658px;
}

.enter-password-popup-content > p {
    font-weight: 300;
    font-size: 20px;
    line-height: 150%;
    color: var(--pure-white);
    text-align: left;
}

.enter-password-popup-content > label {
    margin: 0 auto;
}

.restore-wallet-popup {
    font-weight: 300;
    font-size: 20px;
    line-height: 150%;
    color: var(--pure-white);
    height: 100%;
    position: relative;
}

.restore-wallet-popup-content {
    display: flex;
    gap: 10px;
}

.restore-wallet-popup-content > p {
    max-width: 347px;
    display: flex;
    flex-direction: column;
    gap: 40px;
}

.restore-wallet-popup-content > p > span {
    display: block;
}

.restore-wallet-popup-content > form {
    display: grid;
    grid-template-rows: repeat(6, 1fr);
    grid-template-columns: 1fr 1fr;
    justify-items: end;
    grid-gap: 10px 20px;
}

.restore-wallet-popup-content > form > * {
    grid-column: span 1;
}

.restore-wallet-popup-content > form > *:nth-child(1) {
    grid-row: 1 / span 1;
}

.restore-wallet-popup-content > form > *:nth-child(2) {
    grid-row: 2 / span 1;
}

.restore-wallet-popup-content > form > *:nth-child(3) {
    grid-row: 3 / span 1;
}

.restore-wallet-popup-content > form > *:nth-child(4) {
    grid-row: 4 / span 1;
}

.restore-wallet-popup-content > form > *:nth-child(5) {
    grid-row: 5 / span 1;
}

.restore-wallet-popup-content > form > *:nth-child(6) {
    grid-row: 6 / span 1;
}

.restore-wallet-popup-content > form > *:nth-child(n + 7) {
    grid-column: span 1;
    grid-row: auto;
}

.restore-wallet-popup-content > form > label > input {
    max-width: 299px;
}

.restore-wallet-popup-content > form > button {
    position: absolute;
    right: 0;
    bottom: 0;
}

@media (max-width: 1400px) {
    .restore-wallet-popup-content {
        display: flex;
        justify-content: space-between;
    }

    .restore-wallet-popup-content > form {
        grid-gap: 5px 10px;
        grid-template-columns: 100px 1fr;
    }

    .restore-wallet-popup-content > form > label > input {
        padding: 13px 5px 12px 25px;
    }

    .restore-wallet-popup-content > p {
        max-width: 240px;
    }

    .restore-wallet-popup-content > form > label > input {
        max-width: 220px;
    }
}

.send-confirmation-popup {
    font-weight: 300;
    font-size: 20px;
    line-height: 150%;
    color: var(--pure-white);
    display: flex;
    flex-direction: column;
    gap: 30px;
    position: relative;
    height: 100%;
}

.create-token-popup > .skeleton,
.send-confirmation-popup > .skeleton,
.send-confirmation-popup > button {
    position: absolute;
    bottom: 84px;
    right: 0;
}

.content-details {
    display: flex;
    flex-direction: column;
    justify-content: center;
    line-height: 24px;
}

.content-details > p {
    display: grid;
    grid-template-columns: 138px 1fr;
    gap: 17px;
    align-items: center;
    justify-content: flex-end;
    margin-bottom: 15px;
}

.content-details > p > span {
    font-weight: 500;
    text-align: right;
}

.content-details > p > span.content-break {
    max-width: 85%;
    font-weight: 300;
    text-align: left;
    word-break: break-all;
}

.mint-nft-popup {
    height: 100%;
    position: relative;
}

.mint-nft-popup-content {
    display: flex;
    flex-direction: column;
    gap: 45px;
}

.mint-nft-popup-content > form {
    margin-left: 25px;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    max-width: fit-content;
    gap: 17px;
}

.mint-nft-popup-content > form > button {
    position: absolute;
    right: 0;
    bottom: 0;
}

.receive-popup {
    font-weight: 300;
    font-size: 20px;
    line-height: 150%;
    color: var(--pure-white);
    height: 100%;
    position: relative;
}

.receive-popup-content {
    width: 100%;
}

.receive-popup-content > p {
    max-width: 428px;
    display: flex;
    flex-direction: column;
    gap: 40px;
    margin-bottom: 50px;
}

.receive-popup-content > p > span {
    display: block;
}

.receive-popup-restore-btn {
    margin-top: 150px;
    display: flex;
    justify-content: flex-end;
}

@media screen and (max-width: 1400px) {
    .receive-popup-restore-btn {
        margin-top: 90px;
        display: flex;
        justify-content: flex-end;
    }
}

.receive-content {
    max-width: 286px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: start;
    height: 350px;
    padding-top: 38px;
    border: 1px solid rgba(255, 255, 255, 0.2);
    border-radius: 4px;
    font-weight: 600;
    font-size: 20px;
    line-height: 24px;
    text-align: right;
    color: var(--mid-grey);
}

.receive-content > .qr-wrapper {
    padding-bottom: 36px;
}

.receive-content > .address-control {
    height: 61px;
    display: flex;
    align-items: center;
    gap: 14px;
    width: 100%;
    border-top: 1px solid rgba(255, 255, 255, 0.2);
    padding: 0 19px;
}

.full-nft-popup,
.authorise-popup {
    width: 100%;
    height: 100%;
    position: relative;
}

.authorise-popup-content > .permissions {
    margin-top: 50px;
    margin-bottom: 27px;
    display: flex;
    align-items: center;
    gap: 12px;
}

.authorise-popup-content > .permissions > h6 {
    font-weight: 500;
    font-size: 20px;
    line-height: 24px;
    text-align: right;
    color: var(--pure-white);
    white-space: nowrap;
}

.authorise-popup-content > .permissions > .permissions-list {
    display: flex;
    gap: 9px;
}

.full-nft-popup-content > form > button,
.authorise-popup-content > form > button {
    position: absolute;
    bottom: 0;
    right: 0;
}

.full-nft-popup-content > form > label,
.authorise-popup-content > form > label {
    max-width: fit-content;
    padding-left: 25px;
}

.authorise-popup-content > .hint {
    margin-top: 20px;
    white-space: nowrap;
}

.change-supply-popup {
    width: 100%;
    height: 100%;
    position: relative;
}

.change-supply-popup-content > form {
    margin-top: 23px;
    padding-left: 45px;
}

.change-supply-popup-content > form > .current-supply {
    display: flex;
    gap: 17px;
    font-weight: 500;
    font-size: 20px;
    line-height: 24px;
    text-align: right;
    flex-wrap: nowrap;
    white-space: nowrap;
    margin-bottom: 12px;
}

.change-supply-popup-content > form > .current-supply > p {
    font-weight: 300;
}

.control-box {
    position: absolute;
    bottom: 0;
    right: 0;
    display: flex;
    gap: 34px;
}

.kill-authority-popup {
    width: 100%;
    height: 100%;
    position: relative;
}

.kill-authority-popup-content > button {
    position: absolute;
    right: 0;
    bottom: 0;
}

.kill-authority-popup-content > p {
    max-width: 903px;
}

.kill-authority-popup-content > .table-container {
    max-width: 550px;
    margin: 28px auto 0;
    border: 1px solid var(--mid-grey);
    border-radius: 4px;
}

.kill-authority-popup-content > .table-container > table {
    width: 100%;
}

.kill-authority-popup-content > .table-container > table > tbody {
    position: static;
}

.kill-authority-popup-content > .table-container > table > tbody::after {
    display: none;
}

.kill-authority-popup-content > .table-container > table {
    position: relative;
}

.kill-authority-popup-content > .table-container > table > tbody > tr {
    border-bottom: 1px solid var(--bg-grey);
}

.kill-authority-popup-content
    > .table-container
    > table
    > tbody
    > tr:nth-child(1)::after,
.kill-authority-popup-content
    > .table-container
    > table
    > tbody
    > tr:nth-child(2)::after {
    content: 'selected';
    position: absolute;
    right: calc(100% + 12px);
    top: 35%;
    text-transform: uppercase;
    font-weight: 500;
    font-size: 15px;
    line-height: 18px;
    text-align: right;
    color: var(--pure-white);
    white-space: nowrap;
}

.kill-authority-popup-content
    > .table-container
    > table
    > tbody
    > tr:nth-child(1)::after {
    content: 'remaining';
    top: 70%;
}

.kill-authority-popup-content > .table-container > table > thead::before {
    display: none;
}

.kill-authority-popup-content > .table-container > table > tbody > tr > td {
    width: 20%;
    height: 50px;
}

.kill-authority-popup-content > .table-container > table > thead {
    height: 28px;
    border-bottom: 1px solid var(--mid-grey);
}

@media (max-width: 1400px) {
    .kill-authority-popup-content > p {
        max-width: 764px;
    }

    .kill-authority-popup-content > .table-container {
        max-width: 550px;
        margin: 28px 0 0 142px;
    }
}

.edit-rostrum-content > form {
    padding: 53px 76px 70px 73px;
    min-width: 500px;
    height: 200px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-end;
    gap: 10px;
}

.edit-rostrum-content > form .skeleton,
.edit-rostrum-content > form button {
    position: absolute;
    margin: 30px;
    bottom: 0;
    right: 0;
}

.full-nft-popup-content .nft-cards {
    display: flex;
    justify-content: center;
    margin-bottom: 15px;
}

.full-nft-popup-content .nft-card {
    display: flex;
    border: 2px solid var(--pure-white);
    border-radius: 5px;
    flex-direction: column;
    min-width: 120px;
    max-width: 120px;
    margin-right: 10px;
}

.full-nft-popup-content .nft-card > img {
    height: 120px;
    width: 120px;
}

.full-nft-popup-content .nft-card > .nft-box {
    display: flex;
    flex-direction: column;
    gap: 3px;
    padding: 8px 6px 7px 6px;
}

.full-nft-popup-content .nft-card > .nft-box > p {
    font-weight: 500;
    font-size: 15px;
    line-height: 15px;
    text-align: center;
    color: var(--pure-white);
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
}

.nft-content-details {
    display: flex;
    flex-direction: column;
    justify-content: center;
    line-height: 30px;
    margin-bottom: 10px;
}

.nft-content-details > p {
    display: grid;
    grid-template-columns: 120px 1fr;
    gap: 10px;
    align-items: center;
    justify-content: flex-end;
    margin-bottom: 10px;
}

.nft-content-details > p > span {
    font-weight: 500;
    text-align: right;
}

.nft-content-details > p > span.content-break {
    max-width: 85%;
    font-weight: 300;
    text-align: left;
    word-break: break-all;
}